Issue614

Title Duplicate commit message on branch merge
Priority bug Status resolved
Superseder Nosy List anish.shah, brett.cannon, ezio.melotti, maciej.szulik, ncoghlan
Assigned To Topics

Created on 2017-02-18.05:31:20 by ezio.melotti, last changed 2017-03-27.18:44:59 by ezio.melotti.

Files
File name Uploaded Type Edit Remove
issue614.diff anish.shah, 2017-02-20.04:14:53 text/plain
Messages
msg3260 (view) Author: ezio.melotti Date: 2017-02-18.05:31:19
Nick just did a merge in https://github.com/python/cpython/pull/118 and for each merged changeset that contained a reference to bpo, a new message has been resent to the corresponding issue, see:
http://bugs.python.org/msg288063
http://bugs.python.org/msg288062
http://bugs.python.org/msg288061
http://bugs.python.org/msg288060
http://bugs.python.org/msg288059
http://bugs.python.org/msg288058
(follow the bpo link in the message to see the original commit message).
We should probably ignore all branches except master/3.6/3.5/etc.
msg3261 (view) Author: ezio.melotti Date: 2017-02-18.05:33:30
See also https://github.com/python/core-workflow/issues/33
If it can be fixed on the GitHub side we can close this.
msg3262 (view) Author: anish.shah Date: 2017-02-18.05:48:03
Hi Ezio, can you tell me which webhook was triggered? Was it pull request
event?
msg3263 (view) Author: anish.shah Date: 2017-02-18.05:49:12
I think if we ignore other branches except master/3.6/3.5 etc, this will be
solved. I can work on this. :)
msg3264 (view) Author: ezio.melotti Date: 2017-02-18.06:06:04
This should be the commit webhook that generates messages whenever a new commit includes bpo-NNNNN in the message.
I'd suggest to wait a bit and see if it can be fixed from the GitHub side (i.e. if we can avoid to trigger those requests in the first place, rather than receiving them and discarding them from Roundup).
msg3265 (view) Author: ncoghlan Date: 2017-02-18.09:16:56
I checked on a different repo where I have the ability to add webhooks, and it looks like GitHub only permits you to filter based on the *kind* of event, not on any of the values (like the branch affected).

So I think this will need to be fixed on the b.p.o webhook side, and I'll close the core-workflow issue.
msg3267 (view) Author: anish.shah Date: 2017-02-20.04:14:53
I have added a patch. Let me know what do you guys think! :)
msg3274 (view) Author: maciej.szulik Date: 2017-02-21.07:52:30
Anish thanks! I had to tweak the patch a bit (just tests), since you forgot to include pushevent5.txt, but I've created it manually :)

The change was pushed in https://hg.python.org/tracker/roundup/rev/3050f361cf3e
msg3321 (view) Author: ezio.melotti Date: 2017-03-27.18:44:59
I haven't heard of any similar issues, so the patch should have solved the problem.
History
Date User Action Args
2017-03-27 18:44:59ezio.melottisetstatus: testing -> resolved
messages: + msg3321
2017-02-21 07:52:30maciej.szuliksetstatus: chatting -> testing
messages: + msg3274
2017-02-20 04:14:54anish.shahsetfiles: + issue614.diff
messages: + msg3267
2017-02-18 09:16:56ncoghlansetmessages: + msg3265
2017-02-18 06:06:04ezio.melottisetmessages: + msg3264
2017-02-18 05:49:12anish.shahsetmessages: + msg3263
2017-02-18 05:48:03anish.shahsetmessages: + msg3262
2017-02-18 05:33:30ezio.melottisetstatus: unread -> chatting
messages: + msg3261
2017-02-18 05:31:20ezio.melotticreate